summaryrefslogtreecommitdiffstats
path: root/.github
diff options
context:
space:
mode:
authorfvogel <fvogelnew1@free.fr>2021-05-11 18:35:03 (GMT)
committerfvogel <fvogelnew1@free.fr>2021-05-11 18:35:03 (GMT)
commit962085b306ea88da5580eae247001269ab7e28e6 (patch)
tree90bb0d73e0450adbe2da4fb5378a2c9c622c08d9 /.github
parenta36c1d2fa049bb832b206f58d1ee417a1b228c2f (diff)
downloadtk-962085b306ea88da5580eae247001269ab7e28e6.zip
tk-962085b306ea88da5580eae247001269ab7e28e6.tar.gz
tk-962085b306ea88da5580eae247001269ab7e28e6.tar.bz2
Force kill exit code to be zero, and make error message more specific.
Diffstat (limited to '.github')
-rw-r--r--.github/workflows/mac-build.yml4
1 files changed, 2 insertions, 2 deletions
diff --git a/.github/workflows/mac-build.yml b/.github/workflows/mac-build.yml
index 1535cd2..055dce4 100644
--- a/.github/workflows/mac-build.yml
+++ b/.github/workflows/mac-build.yml
@@ -119,7 +119,7 @@ jobs:
Xvfb $1 &
XVFB_PID=$!
echo Launched Xvfb $1 as process $XVFB_PID >&2
- trap "echo killing process $XVFB_PID... >&2; kill $XVFB_PID; exit $?" 0
+ trap "echo killing process $XVFB_PID... >&2; kill $XVFB_PID; exit 0" 0
export DISPLAY=$1
sleep 2
}
@@ -133,7 +133,7 @@ jobs:
exit 1
}
cat out.txt | grep -q "Failed [1-9]" && {
- echo "::error::Failure during Test"
+ echo "::error::Failure in test results"
exit 1
}
- name: Carry out trial installation